%undefine __cmake_in_source_build
%define srcname expected
%define debug_package %{nil}

Summary:		C++11/14/17 std::expected with functional-style extensions
Name:			expected
Version:		1.1.0
Release:		%mkrel 1
License:		CC0
Group:			Development/C++
URL:			https://github.com/TartanLlama/%{srcname}
Source0:		%{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildRequires:	ninja
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	gcc
ExclusiveArch:	x86_64 i586 aarch64

%description
Header-only %{summary}.

%package devel
Summary: Development files for %{name}
Provides: %{name}-static = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
Header-only %{summary}.

std::expected is proposed as the preferred way to represent objec
which will either have an expected value, or an unexpected value
giving information about why something failed. Unfortunately,
chaining together many computations which may fail can be verbose,
as error-checking code will be mixed in with the actual programming
logic. This implementation provides a number of utilities to make
coding with expected cleaner.

%prep
%setup -q -n expected-%{version}

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DEXPECTED_BUILD_TESTS=OFF \
    -DEXPECTED_BUILD_PACKAGE=OFF
%cmake_build

%install
%cmake_install

%files devel
%doc README.md
%license COPYING
%{_includedir}/tl
%{_datadir}/cmake/tl-%{name}
